aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--sci-biology/arb/ChangeLog7
-rw-r--r--sci-biology/arb/Manifest6
-rw-r--r--sci-biology/arb/arb-5.0.ebuild67
-rw-r--r--sci-biology/arb/metadata.xml9
4 files changed, 89 insertions, 0 deletions
diff --git a/sci-biology/arb/ChangeLog b/sci-biology/arb/ChangeLog
new file mode 100644
index 000000000..ed05e5731
--- /dev/null
+++ b/sci-biology/arb/ChangeLog
@@ -0,0 +1,7 @@
+# ChangeLog for sci-biology/arb
+# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+ 07 Sep 2009; Andrey Kislyuk <weaver@gentoo.org> ChangeLog:
+ New package, ebuild written by me
+
diff --git a/sci-biology/arb/Manifest b/sci-biology/arb/Manifest
new file mode 100644
index 000000000..52bf84bad
--- /dev/null
+++ b/sci-biology/arb/Manifest
@@ -0,0 +1,6 @@
+AUX arb-2007.12.07-gcc43.patch 32680 RMD160 9c5bae9c07a76e97e4372c93b306a200c351ff92 SHA1 554b105eb65ddb5680d2dee6bae81cdeb18883b0 SHA256 663125e414d32ba48df5bcb68c508b3942c6bea660bb14174a7365db52a23246
+DIST arb-5.0.tgz 9726084 RMD160 e4d5c227118409bd3ab2dae5783fcfbf913a64e8 SHA1 b5dc7f399716f62e09c8f0734bab200eab12aca7 SHA256 1cc6ea8fddcf658e18d82a53c242637c7776140c45e7c1774ca0922d2ebf9e1e
+DIST arbsrc.tgz 9708633 RMD160 f6d58afa5965469ae7a4d2baa56e9ee5762eaf1f SHA1 537824659db05312a38d7630bd0db9705ec788b2 SHA256 9417b02fbf91de79de924cd694b2fae8944ece033571bc46b64561f61ccd1341
+EBUILD arb-4.37.ebuild 1776 RMD160 af85bfb7c54c8d4ee11643fa8af207f7a38c9eb1 SHA1 9523ebfc267aea27afb7e7c864642aa6f75707b3 SHA256 d0ba15315382c50b50b01923375d763b0b038637d1ac231ea404e1e9d256e1d8
+EBUILD arb-5.0.ebuild 1854 RMD160 f78cfc70c3af55f188001802a27a3266fee0fe56 SHA1 26080342643068e2be95b1e6bfd321794b5eb402 SHA256 dd651b774f8c292fb741772191a368ab7669259c293310b091450ef46cd97c4e
+MISC arb-2007.12.07.ebuild.bak 1511 RMD160 b2f7f3b52b53497130f5622221c22d19c1010f26 SHA1 fde908b2e8f8f9998578b0c494674c6cd3d74faf SHA256 0fa6c80ab949e7cbfb0d0e68626f44aa98d21c464f0bd21a870336f05b3febf2
diff --git a/sci-biology/arb/arb-5.0.ebuild b/sci-biology/arb/arb-5.0.ebuild
new file mode 100644
index 000000000..0f2c34f64
--- /dev/null
+++ b/sci-biology/arb/arb-5.0.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/sci-biology/amos/amos-2.0.8.ebuild,v 1.2 2009/03/15 17:58:50 maekke Exp $
+
+EAPI=2
+
+inherit eutils toolchain-funcs
+
+DESCRIPTION="Tools for DNA/RNA sequence database handling and data analysis, phylogenetic analysis"
+HOMEPAGE="http://www.arb-home.de/"
+SRC_URI="http://download.arb-home.de/release/arb_${PV}/arbsrc.tgz -> ${P}.tgz"
+MY_TAG=6182
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="+opengl"
+KEYWORDS="~amd64 ~x86"
+
+DEPEND="app-text/sablotron
+ www-client/lynx
+ x11-libs/openmotif
+ x11-libs/libXpm
+ media-libs/tiff
+ opengl? ( media-libs/glew
+ virtual/glut
+ media-libs/mesa[motif] )"
+RDEPEND="${DEPEND}
+ sci-visualization/gnuplot"
+# to check:
+# - libmotif3
+# - gnuplot
+# - gv
+# - xfig
+# - xterm
+# - treetool
+# libpng
+
+S="${WORKDIR}/arbsrc_${MY_TAG}"
+
+src_prepare() {
+ sed -i -e 's/getline/arb_getline/' READSEQ/ureadseq.c || die
+ sed -i \
+ -e 's/all: checks/all:/' \
+ -e "s/GCC:=.*/GCC=$(tc-getCC) ${CFLAGS}/" \
+ -e "s/GPP:=.*/GPP=$(tc-getCXX) ${CFLAGS}/" \
+ "${S}/Makefile" || die
+ cp config.makefile.template config.makefile
+ sed -i -e '/^[ \t]*read/ d' -e 's/SHELL_ANS=0/SHELL_ANS=1/' "${S}/arb_install.sh" || die
+ use amd64 && sed -i -e 's/ARB_64 := 0/ARB_64 := 1/' config.makefile
+ use opengl || sed -i -e 's/OPENGL := 1/OPENGL := 0/' config.makefile
+ emake ARBHOME="${S}" links || die
+ (cd INCLUDE/GL; for i in ../../GL/glAW/*.h; do ln -s $i; done) || die
+}
+
+src_compile() {
+ emake ARBHOME="${S}" PATH="${PATH}:${S}/bin" LD_LIBRARY_PATH="${LD_LIBRARY_PATH}:${S}/lib" tarfile || die
+}
+
+src_install() {
+ ARBHOME="${D}/opt/arb" "${S}/arb_install.sh" || die
+ cat <<EOF > "${S}/99${PN}"
+ARBHOME=/opt/arb
+PATH=/opt/arb/bin
+LD_LIBRARY_PATH=/opt/arb/lib
+EOF
+ doenvd "${S}/99${PN}" || die
+}
diff --git a/sci-biology/arb/metadata.xml b/sci-biology/arb/metadata.xml
new file mode 100644
index 000000000..3302123e5
--- /dev/null
+++ b/sci-biology/arb/metadata.xml
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer>
+ <email>weaver@gentoo.org</email>
+ <name>Andrey Kislyuk</name>
+ </maintainer>
+ <herd>sci-biology</herd>
+</pkgmetadata>